@import url("https://fonts.googleapis.com/css2?family=Arimo:ital,wght@0,400;0,700;1,400;1,700&display=swap");
body {
  font-family: "Arimo", "Verdana", sans-serif;
  color: #333132;
}

.text-black {
  color: #000;
}
.text-black a,
.text-black a:visited,
.text-black a:hover {
  color: #000;
}

.bg-black {
  background-color: #000;
}

.text-white {
  color: #FFF;
}
.text-white a,
.text-white a:visited,
.text-white a:hover {
  color: #FFF;
}

.bg-white {
  background-color: #FFF;
}

.text-white--semitrans {
  color: rgba(255, 255, 255, 0.5);
}
.text-white--semitrans a,
.text-white--semitrans a:visited,
.text-white--semitrans a:hover {
  color: rgba(255, 255, 255, 0.5);
}

.bg-white--semitrans {
  background-color: rgba(255, 255, 255, 0.5);
}

.text-footer {
  color: #474547;
}
.text-footer a,
.text-footer a:visited,
.text-footer a:hover {
  color: #474547;
}

.bg-footer {
  background-color: #474547;
}

.text-footer--alt {
  color: #222122;
}
.text-footer--alt a,
.text-footer--alt a:visited,
.text-footer--alt a:hover {
  color: #222122;
}

.bg-footer--alt {
  background-color: #222122;
}

.text-grey--dark {
  color: #242324;
}
.text-grey--dark a,
.text-grey--dark a:visited,
.text-grey--dark a:hover {
  color: #242324;
}

.bg-grey--dark {
  background-color: #242324;
}

.text-grey--middark {
  color: #444244;
}
.text-grey--middark a,
.text-grey--middark a:visited,
.text-grey--middark a:hover {
  color: #444244;
}

.bg-grey--middark {
  background-color: #444244;
}

.text-grey--mid {
  color: #666666;
}
.text-grey--mid a,
.text-grey--mid a:visited,
.text-grey--mid a:hover {
  color: #666666;
}

.bg-grey--mid {
  background-color: #666666;
}

.text-grey--light {
  color: #f1f0f1;
}
.text-grey--light a,
.text-grey--light a:visited,
.text-grey--light a:hover {
  color: #f1f0f1;
}

.bg-grey--light {
  background-color: #f1f0f1;
}

.text-grey--shadow {
  color: #c4c4c4;
}
.text-grey--shadow a,
.text-grey--shadow a:visited,
.text-grey--shadow a:hover {
  color: #c4c4c4;
}

.bg-grey--shadow {
  background-color: #c4c4c4;
}

.text-text {
  color: #333132;
}
.text-text a,
.text-text a:visited,
.text-text a:hover {
  color: #333132;
}

.bg-text {
  background-color: #333132;
}

.glide {
  position: relative;
  width: 100%;
  box-sizing: border-box;
}

.glide * {
  box-sizing: inherit;
}

.glide__track {
  overflow: hidden;
}

.glide__slides {
  position: relative;
  width: 100%;
  list-style: none;
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
  -webkit-transform-style: preserve-3d;
  transform-style: preserve-3d;
  -ms-touch-action: pan-Y;
  touch-action: pan-Y;
  overflow: hidden;
  margin: 0;
  padding: 0;
  white-space: nowrap;
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-flex-wrap: nowrap;
  -ms-flex-wrap: nowrap;
  flex-wrap: nowrap;
  will-change: transform;
}

.glide__slides--dragging {
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

.glide__slide {
  width: 100%;
  height: 100%;
  -webkit-flex-shrink: 0;
  -ms-flex-negative: 0;
  flex-shrink: 0;
  white-space: normal;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  -webkit-touch-callout: none;
  -webkit-tap-highlight-color: transparent;
}

.glide__slide a {
  -webkit-user-select: none;
  user-select: none;
  -webkit-user-drag: none;
  -moz-user-select: none;
  -ms-user-select: none;
}

.glide__arrows {
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

.glide__bullets {
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

.glide--rtl {
  direction: rtl;
}

body {
  color: #333132;
}
body a {
  text-decoration: none;
}

nav ul li a:hover {
  font-weight: bold;
}

header {
  background: #FFF;
}
@media (min-width: 768px) {
  header nav {
    max-height: unset !important;
  }
}
header nav ul li a {
  color: #333132;
}
header nav ul li a:hover {
  color: #000;
}
header nav ul li a:after {
  content: attr(data-text);
  content: attr(data-text)/"";
  height: 0;
  visibility: hidden;
  overflow: hidden;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  pointer-events: none;
  font-weight: bold;
}
header nav ul li ul {
  background: #FFF;
  -webkit-transition: opacity 0.5s 0s ease-out, max-height 0s 0.6s linear;
  transition: opacity 0.5s 0s ease-out, max-height 0s 0.6s linear;
  padding: 0;
}
header nav ul li:hover ul {
  max-height: 200vh;
  opacity: 1;
  -webkit-transition: opacity 0.5s 0s ease-out;
  transition: opacity 0.5s 0s ease-out;
}
@media (max-width: 767.98px) {
  header nav {
    overflow: hidden;
    position: fixed;
    width: 100%;
    left: 0;
    top: 6.25em;
    background: #f1f0f1;
    -webkit-transition: max-height 0.5s ease-out;
    transition: max-height 0.5s ease-out;
  }
  header nav ul {
    display: block;
    font-size: 1.25em;
  }
  header nav ul li {
    display: block;
  }
}
@media (min-width: 768px) {
  header .mobile-nav-button.active + nav {
    max-height: unset !important;
  }
}
@media (max-width: 767.98px) {
  header .mobile-nav-button:not(.active) + nav {
    max-height: 0 !important;
  }
}

footer.footer {
  background: #474547;
  color: #FFF;
}
footer.footer a {
  color: #FFF;
}
footer.footer ul.social a img {
  opacity: 0.8;
}
footer.footer ul.social a:hover img {
  opacity: 1;
}
footer.footer a.live-chat {
  opacity: 0.8;
}
footer.footer a.live-chat:hover {
  opacity: 1;
}
footer.footer--1 {
  background: #222122;
}
footer.footer--3 a:hover {
  text-decoration: underline;
}

main nav ul li a {
  color: #000;
}
main nav ul li a:hover {
  text-decoration: underline;
}
main section {
  scroll-margin-top: 6.25em;
}
main section .text-center .arrow--down {
  -webkit-transform: rotate(90deg) translate(50%, 0);
  -ms-transform: rotate(90deg) translate(50%, 0);
  transform: rotate(90deg) translate(50%, 0);
  -webkit-transform-origin: top center;
  -ms-transform-origin: top center;
  transform-origin: top center;
}
main section .text-right .arrow--down {
  -webkit-transform: rotate(90deg) translate(100%, -50%);
  -ms-transform: rotate(90deg) translate(100%, -50%);
  transform: rotate(90deg) translate(100%, -50%);
  -webkit-transform-origin: top right;
  -ms-transform-origin: top right;
  transform-origin: top right;
}
@media (min-width: 768px) {
  main section.section--hero-slider .hero {
    color: #FFF;
  }
}
main section.section--hero-slider ul.social--hero a {
  color: #FFF;
}
@media (max-width: 767.98px) {
  main section.section--location .map-column {
    padding: 0;
  }
}
main section.section--location .acf-map {
  width: 100%;
  height: 100%;
  min-height: 25em;
  border: 0;
  margin: 0;
}
main section.section--location .acf-map.loaded {
  color: #000;
}
main section.section--location .acf-map img {
  max-width: inherit !important;
}
main section.section--team .team-member .team-info a {
  color: #333132;
}
main section.section--team .team-member .team-info a:hover {
  text-decoration: underline;
}
main section.section--product-brands .image-column img {
  -webkit-transition: -webkit-filter 1s ease-in-out;
  transition: -webkit-filter 1s ease-in-out;
  transition: filter 1s ease-in-out;
  transition: filter 1s ease-in-out, -webkit-filter 1s ease-in-out;
}
main section.section--product-brands .brand-section .brand-link-logo {
  color: #333132;
}
main section.section--product-brands .brand-section .brand-link-logo:hover {
  -webkit-transform: scale(1.1);
  -ms-transform: scale(1.1);
  transform: scale(1.1);
  /*width: calc(100% - em(40));
  padding-bottom: 70%;
  transform: translate(0, -2.5%);
  box-shadow: 0px 13px 15px 5px theme-color(grey--mid);
  margin-bottom: calc(em(20) - 5%);*/
}
main section.section--product-brands .brand-section.overlay-content-brands {
  scroll-margin-top: 6.25em;
}
main section.section--product-brands .brand-section.overlay-content-brands .brand-link-logo-container-switch {
  /*transition: opacity $_transitionsec ease-in-out, max-height $_transitionsec step-start, max-width $_transitionsec step-start, padding $_transitionsec step-start;*/
  -webkit-transition: all 1s;
  transition: all 1s;
  /*overflow: hidden;*/
  opacity: 1;
  max-height: 100%;
  max-width: 100%;
}
main section.section--product-brands .brand-section.overlay-content-brands .brand-link-logo-container-switch:not(.active) {
  /*transition: opacity $_transitionsec ease-in-out, max-height $_transitionsec step-end, max-width $_transitionsec step-end, padding $_transitionsec step-end;*/
  max-width: 0;
  max-height: 0;
  padding: 0;
  opacity: 0;
}
main section.section--product-brands .overlay-content {
  padding: 3.125em 0;
}
main section.section--product-brands .overlay-content h2 {
  /*font-size: em(59);*/
  margin: 0 0 0.5em;
  font-size: calc(1.375rem + 1.5vw);
}
@media (min-width: 1200px) {
  main section.section--product-brands .overlay-content h2 {
    font-size: 2.5rem;
  }
}
main section.section--product-brands .overlay-content p {
  /*font-size: em(14);*/
}
@media (max-width: 767.98px) {
  main section.section--product-brands .overlay-content {
    padding: 1.25em 0 0;
  }
}
@media (min-width: 768px) {
  main section.section--product-brands .overlay-content {
    position: absolute;
    top: 0;
    min-height: 100%;
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -webkit-flex-direction: column;
    -ms-flex-direction: column;
    flex-direction: column;
  }
  main section.section--product-brands .overlay-content > .row {
    position: relative;
    z-index: 2;
  }
  main section.section--product-brands .overlay-content > .row:last-child {
    -webkit-box-flex: 1;
    -webkit-flex-grow: 1;
    -ms-flex-positive: 1;
    flex-grow: 1;
  }
  main section.section--product-brands .overlay-content > .row:last-child > div {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -webkit-flex-direction: column;
    -ms-flex-direction: column;
    flex-direction: column;
  }
  main section.section--product-brands .overlay-content > .row:last-child > div .arrow.arrow--down {
    margin-top: auto;
  }
  main section.section--product-brands .overlay-content:after {
    content: "";
    position: absolute;
    width: 300vw;
    left: -100vw;
    top: 0;
    height: 100%;
    background: rgba(0, 0, 0, 0.8);
    z-index: 1;
  }
}
main section.section--product-brands .overlay-content .sectors ul {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-flex-wrap: wrap;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  font-size: 1.1875em;
}
main section.section--product-brands .overlay-content .sectors ul li {
  width: 50%;
  opacity: 0.6;
  -webkit-transition: all 0.3s ease-in-out;
  transition: all 0.3s ease-in-out;
  list-style: none;
  margin-bottom: 0.625em;
}
@media (max-width: 767.98px) {
  main section.section--product-brands .overlay-content .sectors ul li {
    width: 100%;
  }
}
main section.section--product-brands .overlay-content .sectors ul li:hover, main section.section--product-brands .overlay-content .sectors ul li.active {
  opacity: 1;
}
main section.section--product-brands .overlay-content .sectors ul li.active {
  list-style: disc;
  font-weight: bold;
}
main section.section--product-brands .overlay-content .sectors ul.select-all-none {
  padding-left: 50%;
}
main section.section--product-brands .overlay-content .sectors ul.select-all-none li {
  width: auto;
  margin-right: 0.9523809524em;
  opacity: 1;
}
main section.section--product-brands .overlay-content .sectors ul.select-all-none li a {
  font-size: 0.6666666667em;
  font-style: italic;
  text-decoration: underline;
}
main section.section--product-brands .initial-content,
main section.section--product-brands .initial-content-brands {
  -webkit-transition: opacity 0.5s ease-in-out 0.5s, z-index 0.5s step-start 0.5s, max-height 0.5s step-start 0.5s, margin 0.5s step-start 0.5s, padding 0.5s step-start 0.5s;
  transition: opacity 0.5s ease-in-out 0.5s, z-index 0.5s step-start 0.5s, max-height 0.5s step-start 0.5s, margin 0.5s step-start 0.5s, padding 0.5s step-start 0.5s;
  opacity: 1;
  z-index: 1;
  overflow: hidden;
  max-height: 600vh;
}
@media (max-width: 767.98px) {
  main section.section--product-brands .initial-content,
main section.section--product-brands .initial-content-brands {
    max-height: 300vh;
  }
}
@media (max-width: 767.98px) {
  main section.section--product-brands .overlay-content > .row > .col-12 {
    padding-left: calc(8.33333333% + var(--bs-gutter-x));
    padding-right: calc(8.33333333% + var(--bs-gutter-x));
  }
}
main section.section--product-brands .overlay-content,
main section.section--product-brands .overlay-content-brands {
  opacity: 0;
  z-index: -1;
  -webkit-transition: opacity 0.5s ease-in-out, z-index 0.5s step-end, max-height 0.5s step-end, margin 0.5s step-end, padding 0.5s step-end;
  transition: opacity 0.5s ease-in-out, z-index 0.5s step-end, max-height 0.5s step-end, margin 0.5s step-end, padding 0.5s step-end;
}
main section.section--product-brands.sectors-active .initial-content,
main section.section--product-brands.sectors-active .initial-content-brands {
  opacity: 0;
  z-index: -1;
  -webkit-transition: opacity 0.5s ease-in-out, z-index 0.5s step-end, max-height 0.5s step-end, margin 0.5s step-end, padding 0.5s step-end;
  transition: opacity 0.5s ease-in-out, z-index 0.5s step-end, max-height 0.5s step-end, margin 0.5s step-end, padding 0.5s step-end;
}
@media (max-width: 767.98px) {
  main section.section--product-brands.sectors-active .initial-content,
main section.section--product-brands.sectors-active .initial-content-brands {
    max-height: 0;
    padding: 0;
  }
}
main section.section--product-brands.sectors-active .image-column img {
  -webkit-filter: grayscale(100%);
  filter: grayscale(100%);
}
main section.section--product-brands.sectors-active .initial-content-brands {
  max-height: 0;
  margin: 0;
  padding: 0;
}
main section.section--product-brands.sectors-active .overlay-content,
main section.section--product-brands.sectors-active .overlay-content-brands {
  opacity: 1;
  z-index: 1;
  max-height: 600vh;
  -webkit-transition: opacity 0.5s ease-in-out 0.5s, z-index 0.5s step-start, max-height 0.5s step-start, margin 0.5s step-start, padding 0.5s step-start;
  transition: opacity 0.5s ease-in-out 0.5s, z-index 0.5s step-start, max-height 0.5s step-start, margin 0.5s step-start, padding 0.5s step-start;
}
main.product-brands section.section--product-brands .brand-link-logo-container a.brand-link-logo span {
  color: #FFF;
  background: #242324;
}

/*# sourceMappingURL=sass */
/*# sourceMappingURL=data:application/json;charset=utf8;base64,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 */
